Subject: Re: How do I get an old version of cygwin?
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Wed, 19 Jan 2005 10:06:46 -0800

On Wed, Jan 19, 2005 at 03:50:17PM +0000, Adrian Cox wrote:
> On Tue, 2005-01-18 at 09:51 -0500, Christopher Faylor wrote:
> > On Tue, Jan 18, 2005 at 08:41:51AM +0000, Adrian Cox wrote:
> 
> > >Have you considered building a custom version of the latest Cygwin, and
> > >putting it on their box in a different directory?  Trying to solve this
> > >sort of problem is unpopular on this list, but my initial research
> > >suggests that changing the values of CYGWIN_VERSION_DLL_IDENTIFIER and
> > >CYGWIN_INFO_CYGNUS_REGISTRY_NAME should do the job.
> > 
> > You really shouldn't be giving out advice to people without
> > understanding what the problems are.  You don't even know why this
> > person needs to hve an older version of cygwin.  Immediately jumping to
> > the conclusion that they just need to mess with things in the source and
> > recompile is not good advice.
> 
> Because it is extremely common to distribute an application along with
> the correct version of the support packages. If I distribute a Windows
> application which uses perl, I want to distribute a tested working perl
> interpreter in the same package. If I distribute a Windows application
> using Cygwin, I want to distribute a tested working Cygwin DLL in the
> same package. Disk space and bandwidth are so cheap they're almost free.
> Testing takes time.
> 
> These people already have one tested and working application on an old
> version of Cygwin. Now they want to run a second application validated
> against a newer version of Cygwin. As far as I can see Cygwin has been
> deliberately designed to make this difficult.

Gets kind of old to hear this "debated" over and over again when it's
clear that the developers are not interested in the work involved.

Time for a cygwin-multi-versions (moderated?) list?  cygwin-licensing
was very successful at reducing the licensing traffic (both here and
there).

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/